Package org.eclipse.emf.cdo.lm.impl

# Class ProcessImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.impl.ProcessImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Process`, `SystemElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

public class ProcessImpl extends ModelElementImpl implements Process
An implementation of the model object 'Process'.

Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `System`
  - `Module Types`
  - `Drop Types`
  - `Module Definition Path`
  - `Initial Module Version`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final Version`
`INITIAL_MODULE_VERSION_EDEFAULT`
The default value of the '`Initial Module Version`' attribute.
`protected static final String`
`MODULE_DEFINITION_PATH_EDEFAULT`
The default value of the '`Module Definition Path`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ProcessImpl()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addDropType(String name, boolean release)`
`boolean`
`addModuleType(String name)`
`NotificationChain`
`basicSetSystem(System newSystem, NotificationChain msgs)`
`NotificationChain`
`eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`DropType`
`getDropType(String name)`
`EList<DropType>`
`getDropTypes()`
`Version`
`getInitialModuleVersion()`
`String`
`getModuleDefinitionPath()`
`ModuleType`
`getModuleType(String name)`
`EList<ModuleType>`
`getModuleTypes()`
`System`
`getSystem()`
`void`
`setInitialModuleVersion(Version newInitialModuleVersion)`
`void`
`setModuleDefinitionPath(String newModuleDefinitionPath)`
`void`
`setSystem(System newSystem)`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eInvoke, eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### MODULE_DEFINITION_PATH_EDEFAULT

protected static final String MODULE_DEFINITION_PATH_EDEFAULT
The default value of the '`Module Definition Path`' attribute.

See Also:
  - `getModuleDefinitionPath()`
Generated
Ordered

### INITIAL_MODULE_VERSION_EDEFAULT

protected static final Version INITIAL_MODULE_VERSION_EDEFAULT
The default value of the '`Initial Module Version`' attribute.

See Also:
  - `getInitialModuleVersion()`
Generated
Ordered

## Constructor Details

### ProcessImpl

protected ProcessImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ModelElementImpl`
Generated

### getSystem

public System getSystem()

Specified by:
  `getSystem` in interface `Process`
Specified by:
  `getSystem` in interface `SystemElement`
Returns:
  the value of the 'System' container reference.
See Also:
  - `Process.setSystem(org.eclipse.emf.cdo.lm.System)`
  - `LMPackage.getProcess_System()`
  - `System.getProcess()`
Generated

### basicSetSystem

public NotificationChain basicSetSystem(System newSystem, NotificationChain msgs)

Generated

### setSystem

public void setSystem(System newSystem)

Specified by:
  `setSystem` in interface `Process`
Parameters:
  `newSystem` - the new value of the 'System' container reference.
See Also:
  - `Process.getSystem()`
Generated

### getDropTypes

public EList<DropType> getDropTypes()

Specified by:
  `getDropTypes` in interface `Process`
Returns:
  the value of the 'Drop Types' containment reference list.
See Also:
  - `LMPackage.getProcess_DropTypes()`
  - `DropType.getProcess()`
Generated

### getModuleDefinitionPath

public String getModuleDefinitionPath()

Specified by:
  `getModuleDefinitionPath` in interface `Process`
Returns:
  the value of the 'Module Definition Path' attribute.
See Also:
  - `Process.setModuleDefinitionPath(String)`
  - `LMPackage.getProcess_ModuleDefinitionPath()`
Generated

### setModuleDefinitionPath

public void setModuleDefinitionPath(String newModuleDefinitionPath)

Specified by:
  `setModuleDefinitionPath` in interface `Process`
Parameters:
  `newModuleDefinitionPath` - the new value of the 'Module Definition Path' attribute.
See Also:
  - `Process.getModuleDefinitionPath()`
Generated

### getInitialModuleVersion

public Version getInitialModuleVersion()

Specified by:
  `getInitialModuleVersion` in interface `Process`
Returns:
  the value of the 'Initial Module Version' attribute.
See Also:
  - `Process.setInitialModuleVersion(Version)`
  - `LMPackage.getProcess_InitialModuleVersion()`
Generated

### setInitialModuleVersion

public void setInitialModuleVersion(Version newInitialModuleVersion)

Specified by:
  `setInitialModuleVersion` in interface `Process`
Parameters:
  `newInitialModuleVersion` - the new value of the 'Initial Module Version' attribute.
See Also:
  - `Process.getInitialModuleVersion()`
Generated

### getModuleTypes

public EList<ModuleType> getModuleTypes()

Specified by:
  `getModuleTypes` in interface `Process`
Returns:
  the value of the 'Module Types' containment reference list.
See Also:
  - `LMPackage.getProcess_ModuleTypes()`
  - `ModuleType.getProcess()`
Generated

### eInverseAdd

public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `ModelElementImpl`
Generated

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ModelElementImpl`
Generated

### eBasicRemoveFromContainerFeature

public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`
Generated

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `ModelElementImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `ModelElementImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `ModelElementImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `ModelElementImpl`
Generated

### addDropType

public boolean addDropType(String name, boolean release)

Specified by:
  `addDropType` in interface `Process`

### getDropType

public DropType getDropType(String name)

Specified by:
  `getDropType` in interface `Process`

### addModuleType

public boolean addModuleType(String name)

Specified by:
  `addModuleType` in interface `Process`

### getModuleType

public ModuleType getModuleType(String name)

Specified by:
  `getModuleType` in interface `Process`